libzypp: zypp::HistoryActionID Class Reference

libzypp 17.38.8

zypp::HistoryActionID Class Reference
Enumeration Class | Libzypp History File

Enumeration of known history actions. More...

`#include <zypp/HistoryLogData.h>`

## Public Types
enum | ID { NONE_e , INSTALL_e , REMOVE_e , REPO_ADD_e , REPO_REMOVE_e , REPO_CHANGE_ALIAS_e , REPO_CHANGE_URL_e , STAMP_COMMAND_e , PATCH_STATE_CHANGE_e }

## Public Member Functions
| HistoryActionID ()
| HistoryActionID (ID id)
| HistoryActionID (const std::string &strval_r)
ID | toEnum () const
const std::string & | asString (bool pad=false) const

## Static Public Member Functions
static HistoryActionID::ID | parse (const std::string &strval_r)

## Static Public Attributes
static const HistoryActionID NONE | ZYPP_API
static const HistoryActionID INSTALL | ZYPP_API
static const HistoryActionID REMOVE | ZYPP_API
static const HistoryActionID REPO_ADD | ZYPP_API
static const HistoryActionID REPO_REMOVE | ZYPP_API
static const HistoryActionID REPO_CHANGE_ALIAS | ZYPP_API
static const HistoryActionID REPO_CHANGE_URL | ZYPP_API
static const HistoryActionID STAMP_COMMAND | ZYPP_API
static const HistoryActionID PATCH_STATE_CHANGE | ZYPP_API

## Private Attributes
ID | _id

## Detailed Description

Enumeration of known history actions.

Definition at line 37 of file HistoryLogData.h.

## Member Enumeration Documentation

## ◆ ID

enum zypp::HistoryActionID::ID

Enumerator
NONE_e |
INSTALL_e |
REMOVE_e |
REPO_ADD_e |
REPO_REMOVE_e |
REPO_CHANGE_ALIAS_e |
REPO_CHANGE_URL_e |
STAMP_COMMAND_e |
PATCH_STATE_CHANGE_e |

Definition at line 50 of file HistoryLogData.h.

## Constructor & Destructor Documentation

## ◆ HistoryActionID() [1/3]

zypp::HistoryActionID::HistoryActionID | ( |  | ) |
| inline

Definition at line 64 of file HistoryLogData.h.

## ◆ HistoryActionID() [2/3]

zypp::HistoryActionID::HistoryActionID | ( | ID | id | ) |
| inline

Definition at line 66 of file HistoryLogData.h.

## ◆ HistoryActionID() [3/3]

zypp::HistoryActionID::HistoryActionID | ( | const std::string & | strval_r | ) |
| explicit

Definition at line 45 of file HistoryLogData.cc.

## Member Function Documentation

## ◆ toEnum()

ID zypp::HistoryActionID::toEnum | ( |  | ) | const
| inline

Definition at line 70 of file HistoryLogData.h.

## ◆ parse()

HistoryActionID::ID zypp::HistoryActionID::parse | ( | const std::string & | strval_r | ) |
| static

Definition at line 49 of file HistoryLogData.cc.

## ◆ asString()

const std::string & zypp::HistoryActionID::asString | ( | bool | pad = false | ) | const

Definition at line 76 of file HistoryLogData.cc.

## Member Data Documentation

## ◆ ZYPP_API [1/9]

const HistoryActionID NONE zypp::HistoryActionID::ZYPP_API
| static

Definition at line 39 of file HistoryLogData.h.

## ◆ ZYPP_API [2/9]

const HistoryActionID INSTALL zypp::HistoryActionID::ZYPP_API
| static

Definition at line 41 of file HistoryLogData.h.

## ◆ ZYPP_API [3/9]

const HistoryActionID REMOVE zypp::HistoryActionID::ZYPP_API
| static

Definition at line 42 of file HistoryLogData.h.

## ◆ ZYPP_API [4/9]

const HistoryActionID REPO_ADD zypp::HistoryActionID::ZYPP_API
| static

Definition at line 43 of file HistoryLogData.h.

## ◆ ZYPP_API [5/9]

const HistoryActionID REPO_REMOVE zypp::HistoryActionID::ZYPP_API
| static

Definition at line 44 of file HistoryLogData.h.

## ◆ ZYPP_API [6/9]

const HistoryActionID REPO_CHANGE_ALIAS zypp::HistoryActionID::ZYPP_API
| static

Definition at line 45 of file HistoryLogData.h.

## ◆ ZYPP_API [7/9]

const HistoryActionID REPO_CHANGE_URL zypp::HistoryActionID::ZYPP_API
| static

Definition at line 46 of file HistoryLogData.h.

## ◆ ZYPP_API [8/9]

const HistoryActionID STAMP_COMMAND zypp::HistoryActionID::ZYPP_API
| static

Definition at line 47 of file HistoryLogData.h.

## ◆ ZYPP_API [9/9]

const HistoryActionID PATCH_STATE_CHANGE zypp::HistoryActionID::ZYPP_API
| static

Definition at line 48 of file HistoryLogData.h.

## ◆ _id

ID zypp::HistoryActionID::_id
| private

Definition at line 77 of file HistoryLogData.h.

The documentation for this class was generated from the following files:

- zypp/HistoryLogData.h
- zypp/HistoryLogData.cc